import { configureStore } from '@reduxjs/toolkit';
import colorPaletteConfigSlice from '../theme/colorPaletteConfigSlice';
import graphQueryResultSlice from './graphQueryResultSlice';
import querybuilderSlice from './querybuilderSlice';
import schemaSlice from './schemaSlice';

export const store = configureStore({
  reducer: {
    graphQueryResult: graphQueryResultSlice,
    schema: schemaSlice,
    colorPaletteConfig: colorPaletteConfigSlice,
    querybuilder: querybuilderSlice,
  },
});

// Infer the `RootState` and `AppDispatch` types from the store itself
export type RootState = ReturnType<typeof store.getState>;
// Inferred type: {counter: CounterState}
export type AppDispatch = typeof store.dispatch;
