import {
  colorPaletteConfigSlice,
  graphQueryResultSlice,
} from "../../data-access/store";
import { GraphPolarisThemeProvider } from "../../data-access/theme";
import { configureStore } from "@reduxjs/toolkit";
import { Meta, ComponentStory } from "@storybook/react";
import { Provider } from "react-redux";

import SemanticSubstrates from "./semanticsubstrates";

const Component: Meta<typeof SemanticSubstrates> = {
  /* 👇 The title prop is optional.
   * See https://storybook.js.org/docs/react/configure/overview#configure-story-loading
   * to learn how to generate automatic titles
   */
  title: "Components/Visualizations/SemanticSubstrates",
  component: SemanticSubstrates,
  decorators: [
    (story) => (
      <Provider store={Mockstore}>
        <GraphPolarisThemeProvider>{story()}</GraphPolarisThemeProvider>
      </Provider>
    ),
  ],
};

const Mockstore = configureStore({
  reducer: {
    colorPaletteConfig: colorPaletteConfigSlice.reducer,
    graphQueryResult: graphQueryResultSlice.reducer,
  },
});
const Template: ComponentStory<typeof SemanticSubstrates> = (args) => (
  <SemanticSubstrates />
);

export const Primary = Template.bind({});

Primary.args = {
  content: "Testing header #1",
};

export const Secondary = Template.bind({});

Secondary.args = {
  content: "Testing header number twoooo",
};

export default Component;
